Bug 834258 - 3.1 - beta2 - Can not run vm that was created from template with thin and preallocated disk
3.1 - beta2 - Can not run vm that was created from template with thin and pre...
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: vdsm (Show other bugs)
6.3
x86_64 Linux
urgent Severity unspecified
: beta
: ---
Assigned To: Laszlo Hornyak
Haim
storage
: TestBlocker
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-06-21 07:21 EDT by Kiril Nesenko
Modified: 2014-01-12 19:52 EST (History)
11 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-12 07:30:25 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
logs (83.34 KB, application/x-bzip)
2012-06-21 07:21 EDT, Kiril Nesenko
no flags Details
logs2 (944.07 KB, application/x-gzip)
2012-07-12 01:13 EDT, Kiril Nesenko
no flags Details

  None (edit)
Description Kiril Nesenko 2012-06-21 07:21:28 EDT
Description of problem:
Can not run vm that was created from template with thin and preallocated disk 

Thread-12279::ERROR::2012-06-21 14:15:58,016::vm::604::vm.Vm::(_startUnderlyingVm) vmId=`466b9595-dce7-4adf-8739-c3f3fe4bf431`::The vm start process failed
Traceback (most recent call last):
  File "/usr/share/vdsm/vm.py", line 570, in _startUnderlyingVm
    self._run()
  File "/usr/share/vdsm/libvirtvm.py", line 1364, in _run
    self._connection.createXML(domxml, flags),
  File "/usr/lib/python2.6/site-packages/vdsm/libvirtconnection.py", line 82, in wrapper
    ret = f(*args, **kwargs)
  File "/usr/lib64/python2.6/site-packages/libvirt.py", line 2490, in createXML
    if ret is None:raise libvirtError('virDomainCreateXML() failed', conn=self)
libvirtError: unsupported configuration: virtio only support device address type 'PCI'
Thread-12279::DEBUG::2012-06-21 14:15:58,020::vm::920::vm.Vm::(setDownStatus) vmId=`466b9595-dce7-4adf-8739-c3f3fe4bf431`::Changed state to Down: unsupported configuration: virtio only support device address typ
e 'PCI'



Version-Release number of selected component (if applicable):
si7
vdsm-4.9.6-17.0.el6.x86_64
libvirt-0.9.10-21.el6.x86_64

How reproducible:


Steps to Reproduce:
1. Created a vm with thin disk virtio and preal. ide.
2. Create a template from that vm
3. Create a vm from that template and try to run it
  
Actual results:


Expected results:


Additional info:
Comment 1 Kiril Nesenko 2012-06-21 07:21:59 EDT
Created attachment 593420 [details]
logs
Comment 3 Kiril Nesenko 2012-07-12 01:12:46 EDT
Still happens on
vdsm-4.9.6-21.0.el6_3.x86_64
libvirt-0.9.10-21.el6.x86_64
rhevm-3.1.0-6.el6ev.noarch

Attaching new logs and raising the priority.
Comment 4 Kiril Nesenko 2012-07-12 01:13:50 EDT
Created attachment 597708 [details]
logs2
Comment 9 Kiril Nesenko 2012-08-02 04:03:51 EDT
Can not reproduce it on si13 build
Comment 10 Doron Fediuck 2012-08-12 07:30:25 EDT
As this can no longer be reproduced, I'm closing the BZ.
Please re-open if you find a reproducer.

Note You need to log in before you can comment on or make changes to this bug.